clear all 
close all

phi=[1 2 3]; %1=hinge, 2=squared error, 3=exponential 
alpha = [1/3,1/2,4/5];
gamma=[.5,1,2,10];
eta=[0:.01:1];

Np=length(phi);
Na=length(alpha);
Ng=length(gamma);
Ne=length(eta);

w=zeros(Na,Ne);
vt=w;
for i=1:Na
    w(i,:)=(1-alpha(i))*eta+alpha(i)*(1-eta);
    vt(i,:) =(1-alpha(i))*eta./w(i,:);
end

ls={':','--','-','-.'}; %linestyles
phinames={'hinge','sqrerr','exp'};
for i = 1:Np
    figure(i)
    for j=1:Na 
        subplot(3,2,2*j-1) 
        hold on
        for k= 1:Ng
            Ha=Hcalc(phi(i),gamma(k),w(j,:),vt(j,:)); 
            plot(eta,Ha,ls{k})
        end
        if j==3
            legend('\gamma = 1/2','\gamma = 1','\gamma = 2','\gamma = 10','Location','Northeast')
        end
        ylabel(['\alpha = ' num2str(alpha(j))])

        ep=linspace(0,max(alpha(j),1-alpha(j)),100);
        subplot(3,2,2*j)
        hold on
        for k=1:Ng
            mua=mucalc(phi(i),ep,alpha(j),gamma(k));
            plot(ep,mua,ls{k})
        end
    end
    orient tall
%    print('-depsc',strcat('bnd',phinames{phi(i)}))
end

