clear all 
close all 

a = 0.376385; % alpha-CC with alpha = 0.376385
g = 2;
%b = .5; 
eta = linspace(0, 1, 1001);
H = zeros(size(eta));
Cm = zeros(size(eta));
C = zeros(size(eta));
H(1) = .25;
Cm(1) = .25;
C(1) = 0;
for i = 2:length(eta)
    e = eta(i);
    if e < 1/2
        w = (1-e + sqrt((1-e)*(1+7*e)))/(2*e);
        z = (w - sqrt (w^2 - 4))/2;
        t = log(z);
        c = e*sigmoid(t)+(1 - e)/g*sigmoid(-g*t);
        if e > a
            Cm(i) = c;
            C(i) = (1-e)/2;
            H(i) = c - (1-e)/2;
        elseif e > 1/3
            C(i) = c;
            Cm(i) = (1-e)/2;
            H(i) = (1-e)/2 - c;
        else
            Cm(i) = .25*e + .25;
            C(i) = c;
            H(i) = (e + 1)/4 - c;
        end
    else
        Cm(i) = .25*e + .25;
        C(i) = (1-e)/2;
        H(i)=.75*e -.25;
    end
end
plot(eta, H)
hold on
plot(eta, Cm, 'r--')
plot(eta, C, 'k:')
legend('H_{L,\alpha}(\eta)','C^-_{L,\alpha}(\eta)','C^*_L(\eta)','Location','Northwest')
%print -depsc sigH.eps
